<?php
require('config.inc.php');
include('config.items.php');
require ('language.inc.php');

isset($configitems) or die("Schema parse failed!");

if (isset($conf['readme'])) {
	$conf['misc']['readme']=$conf['readme'];
}
if (isset($conf['excludelist'])) {
	$conf['misc']['excludelist']=$conf['excludelist'];
}

if (!isset($conf['misc'])) {
	$conf['misc']=array('readme'=>array(), 'excludelist'=>array());
}

if (isset($_POST['save']) && $_POST['save']==1) {
	SaveForm();
	unset($conf);
	require('config.inc.php');
}

?>
<html>
<head>
	<title><?=Translate("Miranda Translator Settings")?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?=$conf['core']['charset']?>"/>
</head>
<body>
	<h2><?=Translate("Miranda Translator Settings")?></h2>
	<form method="POST" action="config.php">
		<table border="1">
<?
			foreach ($configitems as $skey=>$sval) {
?>
			<tr><th colspan="2" style="text-align: left"><?=Translate($sval['name'])?></th></tr>
<?
				foreach($sval['settings'] as $vkey=>$vval) {
?>
			<tr><td title="<?=Translate($vval['desc'])?>" onmouseout="r()"><?=Translate($vval['name'])?></td><td valign="top"><?
					switch ($vval['valuetype']) {
						case "string":
?>
				<input type="text" name="<?="$skey.$vkey"?>" value="<?=$conf[$skey][$vkey]?>" style="width: 200px"/>
				<input type="button" value="<?=Translate("Revert")?>" onclick="rv('<?="$skey.$vkey"?>','<?=$conf[$skey][$vkey]?>')"/>
				<input type="button" value="<?=Translate("Default")?>" onclick="rv('<?="$skey.$vkey"?>','<?=$vval['default']?>')"/>
<?
							break;
						case "list":
						case "binary":
							$idx=-1;
							$c=0;
?>
				<select name="<?="$skey.$vkey"?>" size="1" style="width: 200px">
<?
							foreach ($vval['values'] as $akey=>$aval) {
								if ($akey==$conf[$skey][$vkey]) $idx=$c;
?>
					<option <?=($idx==$c)?'selected="1"':''?> value="<?=$akey?>"><?=$aval?></option>
<?
								$c++;
							}
?>
				</select>
				<input type="button" value="<?=Translate("Revert")?>" onclick="rl('<?="$skey.$vkey"?>','<?=$idx?>')"/>
				<input type="button" value="<?=Translate("Default")?>" onclick="rl('<?="$skey.$vkey"?>','<?=$vval['default']?>')"/>
<?
							break;
						case "array":
						case "assocarray":
							if ($vval['valuetype']=="array")
								$value=implode("\n",$conf[$skey][$vkey]);
							else {
								$value="";
								foreach ($conf[$skey][$vkey] as $aakey=>$aaval)
									$value.="{$aakey}=>{$aaval}\n";
							}
							
?>
				<textarea name="<?="$skey.$vkey"?>" rows="5" style="width: 200px">
<?=$value?>
</textarea>
				<input type="button" value="<?=Translate("Revert")?>" onclick="rv('<?="$skey.$vkey"?>','<?=str_replace("\n","\\n",$value)?>')"/>
				<input type="button" value="<?=Translate("Default")?>" onclick="rv('<?="$skey.$vkey"?>','<?=str_replace("\n","\\n",$vval['default'])?>')"/>
<?
							break;
					}
?>
				<input type="button" value="?" onclick="sh(<?="{$skey}_{$vkey}"?>);"/>
				<script language="JavaScript">
					<?="{$skey}_{$vkey}"?>='<?=str_replace("'","\\'",Translate($vval['desc']))?>';
				</script>
			</td></tr>
<?
				}
			}
?>
		</table>
		
		<input type="hidden" name="save" value="1"/>
		<input type="submit"/>
		<input type="button" value="<?=Translate('Back to Main')?>" onclick="location.href='index.php';"/>
	</form>
	
	<script language="JavaScript">
		function s(ss) {
			window.status=ss;
		}
		function r() {
			window.status="";
		}
		function rv(ctl,val) {
			document.forms[0].elements[ctl].value=val;
		}
		function rl(ctl,val) {
			document.forms[0].elements[ctl].selectedIndex=val;
		}
		function sh(s) {
			window.alert(s);
		}
	</script>
</body>
</html>
<?

function SaveForm() {
	//print_r($_POST);
	$fp=fopen("config.inc.php","w");
	if ($fp) {
		fputs($fp, "<"."?\r\n");
		fputs($fp,<<<EOD
/* This is Miranda Translator 1.1 configuration file
   Warning: Settings in this file can be modified through the GUI setting page (config.php).
            So alter this file directly at your own risk!
*/

// Error Reporting
//error_reporting(E_ALL^E_NOTICE);

\$conf=array(

EOD
);
		foreach ($GLOBALS['configitems'] as $skey=>$sval) {
			fputs($fp,<<<EOD
	'$skey'=>array(

EOD
			);
			foreach($sval['settings'] as $vkey=>$vval) {
				switch ($vval['valuetype']) {
					case "string":
					case "list":
						fputs($fp,"		'$vkey'=>'".$_POST["{$skey}_{$vkey}"]."',\r\n");
						break;
					
					case "binary":
						fputs($fp,"		'$vkey'=>".($_POST["{$skey}_{$vkey}"]==1?"true":"false").",\r\n");
						break;
					
					case "array":
						fputs($fp,<<<EOD
		'$vkey'=>array(

EOD
						);
						$lines=explode("\n",$_POST["{$skey}_{$vkey}"]);
						foreach ($lines as $line) {
							if (trim($lines)!='') fputs($fp,"			'".trim($line)."',\r\n");
						}
						fputs($fp,<<<EOD
		),

EOD
						);
						break;
					
					case "assocarray":
						fputs($fp,<<<EOD
		'$vkey'=>array(

EOD
						);
						$lines=explode("\n",$_POST["{$skey}_{$vkey}"]);
						foreach ($lines as $line) {
							if (strpos($line,"=>")!==false) {
								// Valid associative line
								$akey=substr($line,0,strpos($line,"=>"));
								$aval=substr($line,strpos($line,"=>")+2);
								fputs($fp,"			'$akey'=>'$aval',\r\n");
							}
						}
						fputs($fp,<<<EOD
		),

EOD
						);
						break;
				}
			}
			fputs($fp,<<<EOD
	),

EOD
			);
		}
		fputs($fp,<<<EOD
);

EOD
		);
		fputs($fp,"?".">");
		fclose($fp);
		echo '<h2 style="color: red">'.Translate("Settings Saved")."</h2>\r\n\r\n";
	}
}

function Translate($s) {
	if (isset($GLOBALS['r'][$s]))
		return $GLOBALS['r'][$s];
	else
		return $s;
}
?>