<?php
class BaseDB {
	function update($pairs, $table, $criteria=NULL, $and=true) {
		$notfirst=false;
		
		$query="UPDATE $table SET ";
		foreach (array_keys($pairs) as $key)
			$pairs[$key]=$this->getColumn($key)."='".$this->fixString($pairs[$key])."'";
		
		$query.=implode(',',$pairs);
		
		$query.=$this->parseCriteria($criteria,$and);
		
		//echo "$query<br/>\n";
		return $this->execute($query);
	}

	function delete($table, $criteria=NULL,$and=true) {
		$query="DELETE FROM $table";

		$query.=$this->parseCriteria($criteria,$and);
		
		return $this->execute($query);
	}

	function test() {
		($this->_conn) or ShowError(__FILE__,$GLOBALS['rc']['db_noconn']);
	}

	function clearPhrases() {
		return $this->delete('phrases');
	}

	function findPhrase($phrase) {
		//echo "$phrase<br>\n";
		$row=$this->select(array('seq','value'),'phrases',array('phrase'=>$phrase));
		if (count($row)==0) 
			return false;
		else {
			$this->phraseUID=$row[0]['seq'];
			return $row[0]['value'];
		}
	}
}
?>
