<?
/* Miranda Translator (Langpack TXT Process Engine)
 * Copyright(C) 2005 Studio KUMA
 * 
 * This software is released under the terms and conditions of the GPL License V2.
 * For full license details, please refer to http://www.gnu.org/licenses/gpl.txt.
 *
 * Written by Stark Wong. Contact: starkwong@hotmail.com (E-mail and MSN)
 *
 * Revision Information
 * 2005/ 6/30	Added option for not using TXT engine
 */

class TXTEngine {
	function TXTEngine() {
		$this->reset();
	}
	
	function reset() {
		$this->loc=0;
		$this->strTemp='';
		$this->infoFound=false;
	}
	
	function setList($whitelist,$blacklist,$superlist) {
		$this->whitelist=$whitelist;
		$this->blacklist=$blacklist;
		$this->superlist=$superlist;
	}
	
	function getNextString($fpIn,$relfile) {
		$lastKey='';
		$lastValue='';

		if (substr($relfile,"lang")===false && substr($relfile,"trans")===false) return false;
		if (ftell($fpIn)==0) $this->reset();
		
		if (feof($fpIn)) {
			return false;
		} else while (!feof($fpIn)) {
			$this->strTemp=trim(fgets($fpIn,4096));
			if (substr($this->strTemp,0,1)=='[' && substr($this->strTemp,-1,1)==']') {
				return $this->strTemp;
			}

			if (feof($fpIn)) break;
		}
		return false;
	}
}

if (!isset($GLOBALS['conf']['def']['disabletxtcapture']) || $GLOBALS['conf']['def']['disabletxtcapture']==false) {
	$this->_TXTEngine=new TXTEngine();
	if (!isset($GLOBALS['conf']['def']['txtcaptureext']))
		$GLOBALS['conf']['def']['txtcaptureext']='txt';
	
	$this->_registerEngine($GLOBALS['conf']['def']['txtcaptureext'],'_TXTEngine');
}

?>
