<?php
include ('common.inc.php');

if (isset($_POST['action'])) {
	if ($_POST['action']=='e') {
		export();
	} else {
		?>
		<html>
		<head>
			<title><?=$r['title']?></title>
			<meta http-equiv="Content-Type" content="text/html; charset=<?=$conf['core']['charset']?>"/>
		</head>
		<body>
			<h2><?=$r['title']?></h2>
		<?php
		switch ($_POST['action']) {
			case 'i':
				import();
				break;
			case 'c':
				clear();
				break;
		}
		?>
			<p>
			<input type="button" value="<?=$r['back']?>" onclick="location.replace('dictmgr.php')"/>
			</p>
		</body>
		</html>
<?
	}
} else {
	header ("Location: dictmgr.php");
} 

function export() {
	//header ("Content-Type: application/x-msdownload");
	header ("Content-Disposition: attachment; filename=export.txt");
	header ("Content-Description: MT IgnoredPhrases Export File");
	
	if (isset($_POST['table']) && $_POST['table']=='phrases') {
		echo "; Miranda Translator Phrases Exort File\r\n";
		$rs=$GLOBALS['db']->select('*','phrases');
		foreach ($rs as $r)
			echo "{$r['phrase']}\r\n{$r['value']}\r\n";
			
	} else {
		$rs=$GLOBALS['db']->select('*','ignoredphrases');
		foreach ($rs as $r) {
			echo "{$r['phrase']}\r\n";
		}
	}
} 

function import() {
	global $r,$db;
	//if (!isset($_FILES['file'])) ShowError($r['noimport']."(1)");
	//if (!$fpIn=fopen($_FILES['file']['tmp_name'],"r")) ShowError($r['noimport']."(2)");
	if (!$fpIn=fopen($_POST['file'],"r")) ShowError($r['noimport']."(2)");
	
	$ignored=0;
	$bypassed=0;
	
	while (!feof($fpIn)) {
		$tmpStr=fgets($fpIn,4096);
		if (trim($tmpStr)!='' && substr($tmpStr,0,1)=='[') {
			if ($db->putIgnorePhrase($tmpStr))
				$ignored++;
			else
				$bypassed++;
		}
	}
	fclose($fpIn);
	
	$rs=$db->select('*','ignoredphrases');
	$total=count($rs); //$rs[0]['count'];
	echo sprintf($r['importsummary'],$ignored,$bypassed,$total);
}

function clear() {
	global $r,$db;
	$rs=$db->select('*','ignoredphrases');
	$total=count($rs); //$rs[0]['count'];
	
	if (!$db->delete('ignoredphrases')) ShowError($r['clearfail']);
	echo sprintf($r['cleared'],$total);
}
?>
