<?
// Force setting charset 
//$conf['core']['charset']="ISO-8859-1";

// Common (New) 
$rc=array(
	"errmsg"=>"%s caused an exception on line %s.",
	"db_nodef"=>'Configuration item "db=>driver" not defined',
	"db_nocls"=>'Failed to initialize database driver "%s"',
	"db_noinit"=>"Unable to initialize database",
	"db_nocreate"=>"Failed to create database",
	"db_noselect"=>"Failed to select database after creation",
	"db_noip"=>"Failed to create ignoredphrases",
	"db_nop"=>"Failed to create phrases",
	"db_notp"=>"Failed to create temp_phrasesheet",
	"db_msver"=>"MySQL Server Version ",
	"db_sqver"=>"SQLite Library Version ",
	"db_noconn"=>"Connection must be established before executing this function",
);

// Common (Unchanged for now) 
$r_title="Miranda IM Translation Assistant";
$r_complete='<p>Operation completed. <input type="button" value="Click here" onClick="location.href=\'index.php\';"> to return.';
$r_back='Back to Main';
$r_ok="OK";
$r_done="Done";

if (strpos($_SERVER['PHP_SELF'],"index.php")!==false) { // Main Part 
	$r_index_desc1="Please follow the sequence below for creating Miranda IM Language Pack.";
	$r_index_dictmgr="Dictionary Manager";
	$r_index_upgdb="Upgrade Database (MySQL only)";
	$r_index_config="Edit Configurations";
	$r_index_wordlist="Edit Word List";
	
	$r_index_desc2='';
	/*$r_index_desc2="Current Settings:<br />
	Database: Server ".$conf['db.server'].", Database ".$conf['db.database']."<br />
	Clear all existing entries before import: ".($conf['trn.clearbeforeimport']?'Yes':'No')."<br />
	Target Info: ".$content['language']." (".$content['locale'].") Language, Last Modified Using ".$content['lastmod']."<br />
	Translator: ".$content['authors'].", e-mail ".$content['authoremail']."<br />
	Prefix file: ".$content['headerfile'].", Appended file:".$content['extrafile']."<br />
	Output file: ".$content['outputfile']*/;
	
	$r_step1_title="Step 1: Capture translation phrases from source code";
	$r_step1_input="Source Root: ";
	$r_step1_submit="Capture";
	$r_step1_errdir='Folder "%s" is incorrect, unable to continue.';
	$r_step1_desc1="Capturing translateable phrases from \"%s\" folder, this may take a few minutes...<br />
	(Depends on number of plugins you capture and system configurations)";
	$r_step1_searching="Searching: ";
	$r_step1_found="Translateable phrases found: ";
	$r_step1_notrans="Don't Translate";
	$r_step1_done="Done (%s Files)";
	$r_step1_summary="Summary: %s Files in %s Directories, %s Captured, %s Duplicated, %s Blacklisted.<br>\n";
	$r_step1_enum="Enumerating Candidates...";
	$r_step1_openfail="Failed to open source file '%s'.";
	
	
	$r_step2_title="";//"Step 2: Translate phrases by lexicons stored in database (To import lexicon, click <a href=\"#import\">here</a>)";
	$r_step2_submit="Translate";
	$r_step2_desc1="Translating captured phrases, please wait...";
	$r_step2_desc2="Captured phrases: %d, translated: %d (%d%% Hit)";
	$r_step2_nophrases="No Translateable Phrases!";
	$r_step2_dbupdwarn="Warning: You have to update your database, other string trimming will happen. Please run %1.";
	$r_step2_processing="Processing line: ";
	$r_step2_updfail="Update temp_phrasesheet Failed";
	
	$r_step3_title="Step 2: View (and translate) new phrases.";
	$r_step3_submit="View New Phrases";
	$r_step3_desc1="The following is the list of untranslated phrases. You may translate them now, then click 'Update' and save to database.<br />
	Please delete any phrases that you don't translate directly.";
	$r_step3_update="Update Translation Database";
	$r_step3_nostring="No Translateable Phrases";
	$r_step3_notes="Lines begin with semi-colon (;) will be ignored. Don't forget to add a new line to the last line!";
	
	$r_step4_title="Step 3: Ignore all phrases not translation, so they will not appear in translation list";
	$r_step4_submit="Ignore Remaining Phrases";
	$r_step4_desc1="Adding remaining untranslated phrases to ignore list...";
	$r_step4_desc2="%d Phrases added, currently %d items in ignore list.";
	
	$r_step5_title="Step 4: All updates are done, create new language pack";
	$r_step5_submit="Create Language Pack";
	$r_step5_desc1a="Creating temporary translated phrases file...";
	$r_step5_desc1b="Wrote %d lines (Phrases: %d, Translated: %d [%d%%])";
	$r_step5_desc2a="Merging with manual translated items...";
	$r_step5_desc2b="Wrote %d lines";
	$r_step5_desc3a="Detecting and calculating plugin positions...";
	$r_step5_desc3b="Found %d entries";
	$r_step5_desc4a="Constructing header...";
	$r_step5_desc5a="Creating output file (%s)...";
	$r_step5_desc5b="Wrote %d bytes";
	$r_step5_desc6a="Removing temporary file...";
	$r_step5_toc1="; Main Program and Bundled Plugins\r\n";
	$r_step5_toc2="; Third-Party Plugins\r\n";
	$r_step5_toc3="; Manual Translated Plugins\r\n";
	$r_step5_manual="\r\n; ** Items below this line are translations added manually **\r\n\r\n";
	$r_step5_3rdparty="\r\n; ** Items below this line are third-party plugins **\r\n";
	$r_step5_missdesc="<br/>OOPS: You have enabled the plugin description function, however the description for a possible new plugin is missing.<br/>Please refer to config.inc.php on how to add a description line, then perform this function again after adding the line.<br>\nReference Plugin Path: %s";
	$r_step5_imported="Read: %d, Write: %d, Phrases: %d<br>\n";
	
	$r_import_title="Import Translated Phrases from file";
	$r_import_input="If you want to import phrases from existing langpack pack, please fill in the filename relative to server.";
	$r_import_submit="Import Phrases";
	$r_import_clrdict="Delete dictionary before Import(!)";
	$r_import_export="Export Phrases";
	$r_import_warndub="Warning: At least one duplicated phrases were found. Please fix it manually.";
	$r_import_desc1="Importing phrases from \"%s\", please wait...";
	$r_import_desc2="Import summary: %d phrases read, %d phrases imported successfully, %d conflicted phrases.";
} else if (strpos($_SERVER['PHP_SELF'],"dictmgr.php")!==false ||
           strpos($_SERVER['PHP_SELF'],"ipimex.php")!==false) {
	include ('en.dict.lang.php');
} 
?>
