<?
/* Miranda Translator (Whitelist/Blacklist customization)
 * Copyright(C) 2004 Studio KUMA
 * 
 * This software is released under the terms and conditions of the GPL License V2.
 * For full license details, please refer to http://www.gnu.org/licenses/gpl.txt.
 *
 * Written by Stark Wong. Contact: starkwong@hotmail.com (E-mail and MSN)
 *
 * Revision 1.0.20
 */

// Whitelist for RC files (Single line)
$this->whitelist=array("Translate(", // Generic
		'TranslateT(',
		'TranslateA(',
		'TranslateW(',
		   'pszErrorMsg = "', // IcqOscar8 log.c
		   //'", RGB(', // chat/AimTOC options.c, srmm/tabsrmm/srmessage/message msgoptions.c
		   'SetDlgItemText(', // clist clcopts.c
		   'SKINICON_', // chat tools.c
		   '#define POPUP_COMMENT_', // neweventnotify neweventnotify.h
		   '#define OPTIONS_', // neweventnotify neweventnotify.h
		   '#define MENUITEM_NAME ', // neweventnotify neweventnotify.h
		   '#define POPUP_CLASS_', // tabsrmm/popupplus/yamn m_popup.h (PopupPlus Import)
		   'char *szVersionDescr[] = ', // Gadu-Gadu dialogs.c, IcqOscar8 userinfotab.c, userinfo stdinfo.c
		   'ttb.name', // TopToolbar InternalButtons.c
		   '#define YAMN_NEWMAILSNDDESC', // YAMN main.h
		   '#define YAMN_CONNECTFAILSNDDESC', // YAMN main.h
		   '#define MAILBROWSERTITLE ', // YAMN mailbrowser.cpp
		   'translate(', // Possible Delphi-based (mSecure)
		   'pszDescription=', // MWClist keyboard.c
		   'mb_SysTranslate', // MBot
		   'MSN_ShowError(', // added for MSN (msn_errors.cpp), by Dagobert
       'const char  *szTrackerBarDescr[] = {',  // added for WebView (webview.c), by Dagobert
       'tmp.name=', // clist_mw clistmenus.c
       'CallService(MS_CLIST_GETSTATUSMODEDESCRIPTION, t, 0));t = IDC_IDLEGROUP_', // SAA idleMessages.c
		   /*'.pszTitle = "', // NIMContact dialog.c
		   '"Edit Non-IM Contact', // NIMContact dialog.c (Using wsprintf)*/
			 '_snprintf(requiredSize,',  // added for DatabaseEditor++ (modules.c), by Dagobert_78
			 'AddShutdownTypeToComboBox(hwndComboBox', // added for AutoShutDown (dialog.c), by Dagobert_78
			 '#define STRING_SHOWPREVIOUSSTATUS (', // added for NewStatusNotify (main.c), by Dagobert_78
		   'static const char *szProxyTypes[]', // Miranda netlibopts.c
		   '#define MSG_', // ContactStatus resource.h
		   'static char *actionList[ACT_MAX]', // ContactsStatus ContactsStatus.c
		   'static char *schemaList[MAX_SCHEMA]', // ContactsStatus ContactsStatus.c
		   'static char *colorList[MAX_COLORSRC]', // ContactsStatus ContactsStatus.c
		   'static char *iconTargetsList[MAX_ICON_TARGETS]', // ContactsStatus ContactsStatus.c
		   '", GC_EVENT_', // Chat window.c
		   'char *sortby[]={', // ModernCList,clistopts.c
		   'strncpy(cid.group,', // tabSRMM msgoptions.c
		   'strncpy(cid.name,', // tabSRMM msgoptions.c
		   'SkinAddNewSoundEx(', // Yahoo main.c
		   'char *szNoevets', // clist_nicer+ clui.c
		   'AddSkinSoundBundled(DB_SOUND_SHUTDOWN_SETTING,', // added for AutoShutdown (main.c), by Dagobert_78
				'sid.pszDescription',
				'sid.pszSection',
				'mBox.pszInfoText =', // UserInfoEx dlgCommon.cpp
			'MsgBox(', // UserInfoEx
		   );
// Blacklist for source code files (Single line)
$this->blacklist=array("#include", // Source includes, filename
		   "MS Shell Dlg", // Default font
		   "FONT 8,", // Default font
		   "msctls_", // ctl name: msctls_xxxx
		   "View32", // ctl name: SysXXXXView32
		   "ColourPicker", // ctl name: ColourPicker
		   " DISCARDABLE ", // ... ICON DISCARDABLE "xxx.ico"
		   'VALUE "', // VersionInfo VALUE "Comments", "XXX\0"
		   'BLOCK "', // BLOCK "XXXFileInfo"
		   '\0', // Null string
		   'CListControl', // ctl name: CListControl
		   'ComboBoxEx', // ctl name: ComboBoxEx
		   'Control32', // ctl name: SysTabControl32
		   '"\r\n"',
		   '"#include', // ModernCList
		   '"//',
		   '"VS_VERSION_INFO ',
		   '" FILEVERSION ',
		   '" PRODUCTVERSION ',
		   '" FILEFLAGS',
		   '"#ifdef ',
		   '"#else\r\n"',
		   '" FILEOS ',
		   '" FILETYPE ',
		   '" FILESUBTYPE ',
		   'BEGIN\r\n"',
		   '    BLOCK ""',
		   'VALUE ""',
		   'END\r\n"',
		'tabSRMM_',
		'%dText',
		   ); // same as null string
// Super whitelist for source code files (Start grabbing all strings until see "};" )
$this->superlist=array('CheckBoxValues_t', // clist/clist_mw/clc clcopts.c
		   'Field[]={', // IcqOscar8 icq_fieldnames.c
		   'sizeof(PLUGININFO)', // Generic
		   '*nameOrderDescr[NAMEORDERCOUNT]', // contacts contacts.c
		   'szLogLevelDescr[]', // IcqOscar8 icq_opts.c
		   '*szLevelDescr[]', // IcqOscar8 log.c
		   'fontOptionsList[]', // Generic options.c/msgoptions.c
		   '*szTimeFormats[]', // netlib netliblog.c
		   'static ListTypeDataItem', // changeinfo constants.cpp
		   '*szFontIdDescr[FONTID_MAX+1]', // clist/clist_mw/clc clcopts.c
		   'branch_t branch', // chat options.c
		   'SettingItem setting[]', // changeinfo changeinfo.h/constants.cpp
		   '*szColumnNames[]', // findadd searchresults.c
		   'static iconset IconSets[] =', // TypingNotify typingnotify.c
		   'static const char *szFontIdDescr[MSGDLGFONTCOUNT] =', // tabSRMM msgoptions.c
		   'COM_OKSTR: array[Boolean] of PChar =', // shlext shlext.dpr (Delphi)
		   'COM_APPROVEDSTR: array[Boolean] of PChar =', // shlext shlext.dpr (Delphi)
		   '*POP3Errors[]=', // YAMN pop3comm.cpp
		   '*NetlibErrors[]=', // YAMN pop3comm.cpp
		   '*SSLErrors[]=', // YAMN pop3comm.cpp
		   'static struct LISTOPTIONSGROUP', // tabSRMM msgoptions.c
		   'static struct LISTOPTIONSITEM ', // tabSRMM msgoptions.c
		   'char *TemplateNames[] = {', // tabSRMM templates.c
		   'static struct _tooltips ', // tabSRMM msgdialog.c, by Dagobert_78
		   'const char *blood_types[] = {', // OpenQ details.c
		   'const char *country_names[] = {', // OpenQ details.c
		   'const char *province_names[] = {', // OpenQ details.c
		   'const char *zodiac_names[] = {', // OpenQ details.c
		   'const char *horoscope_names[] = {', // OpenQ details.c
		   'const char *occupation_names[] = {', // OpenQ details.c
		   'const char *qq_group_category[] = {', // OpenQ details.c
		   'static STATUS_SOUND soundList[MAX_SOUND] = {', // ContactsStatus ContactsStatus.c
		   'struct CPTABLE cpTable[] = {', // IcqOscar8 icq_opts.c
		   'static const char *szIPFontDescr[IPFONTCOUNT]', // tabSRMM msgoptions.c
		   'static struct CluiTopButton top_buttons[] = {', // clist_nicer+ clui.c
		   'static struct IconDesc myIcons[] = {', // clist_nicer+ clui.c
		   'static ICONDESC ', // tabSRMM msgs.c
			 'static const ICODESC icoDesc[] = ', // UserInfoEx icons.cpp
			 'static PROFILEENTRY pFmt[3] = {', // UserInfoEx pspAbout.cpp
			 'ItemOptionConf opt_items[] = { {', // modernb clistopt.c
			 'char *align[]={', // modernb clistopt.c
			 'char *hidemode[]={', // modernb clistopt.c
			 'const char* nameXStatus[29] = {', // IcqOscarJ wordlist.inc.php
			);
?>
