<?php
//require('config.inc.php');
require ('common.inc.php');
require ('language.inc.php');

if (isset($_POST['save']) && $_POST['save']==1) {
	SaveForm();
}

class ListClass {
	function ListClass() {
		require('wordlist.inc.php');
	}
}

$list=new ListClass();
?>
<html>
<head>
	<title><?=Translate("Miranda Translator Wordlist Editor")?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?=$conf['core']['charset']?>"/>
</head>
<body>
	<h2><?=Translate("Miranda Translator Wordlist Editor")?></h2>
	<form method="POST">
		<table border="1">
			<tr><th style="text-align: left">Single-line whitelist</th></tr>
			<tr><td title="Strings in lines containing the listed part will be treated as phrases. One item per line." onmouseout="r()">
<?
					$value=implode("\n",$list->whitelist);							
?>
				<textarea name="<?="whitelist"?>" rows="5" style="width: 400px">
<?=$value?>
</textarea>
				<input type="button" value="<?=Translate("Revert")?>" onclick="rv('whitelist','<?=str_replace("\n","\\n",$value)?>')"/>
			</td></tr>

			<tr><th style="text-align: left">Single-line blacklist</th></tr>
			<tr><td title="Strings in lines containing the listed part will be completely ignored. One item per line." onmouseout="r()">
<?
					$value=implode("\n",$list->blacklist);							
?>
				<textarea name="<?="blacklist"?>" rows="5" style="width: 400px">
<?=$value?>
</textarea>
				<input type="button" value="<?=Translate("Revert")?>" onclick="rv('blacklist','<?=str_replace("\n","\\n",$value)?>')"/>
			</td></tr>

			<tr><th style="text-align: left">Super whitelist</th></tr>
			<tr><td title="Strings start from lines containing the listed part will be treated as phrases until the array closing tag (};) is found. One item per line." onmouseout="r()">
<?
					$value=implode("\n",$list->superlist);							
?>
				<textarea name="<?="superlist"?>" rows="5" style="width: 400px">
<?=$value?>
</textarea>
				<input type="button" value="<?=Translate("Revert")?>" onclick="rv('superlist','<?=str_replace("\n","\\n",$value)?>')"/>
			</td></tr>
		</table>
		
		<input type="hidden" name="save" value="1"/>
		<input type="hidden" name="quotetest" value="'">
		<input type="submit"/>
		<input type="button" value="<?=Translate('Back to Main')?>" onclick="location.href='index.php';"/>
	</form>
	
	<script language="JavaScript">
		function s(ss) {
			window.status=ss;
		}
		function r() {
			window.status="";
		}
		function rv(ctl,val) {
			document.forms[0].elements[ctl].value=val;
		}
		function rl(ctl,val) {
			document.forms[0].elements[ctl].selectedIndex=val;
		}
	</script>
</body>
</html>
<?

function SaveForm() {
	//print_r($_POST);
	$fp=fopen("wordlist.inc.php","w");
	if ($fp) {
		fputs($fp, "<"."?\r\n");
		fputs($fp,<<<EOD
/* This is Miranda Translator 1.1 wordlist file
   Warning: Items in this file can be modified through the GUI setting page (wordlist.php).
            So alter this file directly at your own risk!
*/

\$this->whitelist=array(

EOD
);
		foreach (explode("\n",str_replace("\r","",$_POST['whitelist'])) as $val) {
			if (trim($val)!='') {
				$val=str_replace("'","\'",FixPostString($val));
				fputs($fp,"		'$val',\r\n");
			}
		}
			
		fputs($fp,<<<EOD
);

\$this->blacklist=array(

EOD
);

		foreach (explode("\n",str_replace("\r","",$_POST['blacklist'])) as $val) {
			if (trim($val)!='') {
				$val=str_replace("'","\'",FixPostString($val));
				fputs($fp,"		'$val',\r\n");
			}
		}
			
		fputs($fp,<<<EOD
);

\$this->superlist=array(

EOD
);
		
		foreach (explode("\n",str_replace("\r","",$_POST['superlist'])) as $val) {
			if (trim($val)!='') {
				$val=str_replace("'","\'",FixPostString($val));
				fputs($fp,"		'$val',\r\n");
			}
		}
			
		fputs($fp,<<<EOD
);

EOD
);
		fputs($fp,"?".">");
		fclose($fp);
		echo '<h2 style="color: red">'.Translate("Settings Saved")."</h2>\r\n\r\n";
	}
}

function Translate($s) {
	if (isset($GLOBALS['r'][$s]))
		return $GLOBALS['r'][$s];
	else
		return $s;
}
?>