<?
/* Miranda Translator (Translateable Words capturing script)
 * Copyright(C) 2004 Studio KUMA
 * 
 * This software is released under the terms and conditions of the GPL License V2.
 * For full license details, please refer to http://www.gnu.org/licenses/gpl.txt.
 *
 * Written by Stark Wong. Contact: starkwong@hotmail.com (E-mail and MSN)
 *
 * Revision Information
 * 2005/ 6/30	Added option for excluding directories
 */
 
require('capture.lib.php');

?>
<h3><?=$r_step1_title?></h3>
<?
is_dir($_POST['captureSrc']) or die(sprintf($r_step1_errdir,$_POST['captureSrc']));
?>
<?=sprintf($r_step1_desc1,$_POST['captureSrc'])?>
<p>
<?=$r_step1_searching?> <span id="spnFile"></span>
</p>
<?
$rootPath=$_POST['captureSrc'];
$added=0;
$ignored=0;
$blacklisted=0;
$dirCount=0;
$filelist=NULL;

$Capture=new Capture($db);
translateDir($rootPath);
?>
<?=$r_step1_found?> <span id="spnAdded"></span><br>
<?
$fileCount=0;
$storedPath="";
if (count($filelist)>0) foreach ($filelist as $entry) {
	$Capture->open("$entry",strlen($rootPath));
	$Capture->getString();
	$fileCount++;
	
	$added+=$Capture->added;
	$ignored+=$Capture->ignored;
	$blacklisted+=$Capture->blacklisted;
	
	$Capture->close();
	/*if ($fileCount%3==0)*/ {
		$relPath=substr($entry,strlen($rootPath));
		$path2=substr($relPath,0,strrpos($relPath,'/'));
		if ($path2!=$storedPath) {
			$storedPath=$path2;
			echo "<script language=\"JavaScript\">document.getElementById('spnFile').innerHTML=\"".substr($relPath,0,strrpos($relPath,'/')).' ('.$fileCount.'/'.count($filelist).")\";";
			echo 'document.getElementById(\'spnAdded\').innerHTML="'.$added."\";</script>";
		} else {
			echo "<script language=\"JavaScript\">document.getElementById('spnFile').innerHTML+='|';</script>\n";
		}
		flush();
	}
}
echo "</script>\n";

echo '<script language="JavaScript">document.getElementById(\'spnFile\').innerHTML="'.sprintf($r_step1_done,$fileCount).'";</script>';
echo sprintf($r_step1_summary,$fileCount,$dirCount,$added,$ignored,$blacklisted);


if (isset($_POST['notranslate']))
	echo $r_complete;
else
	include ('translate.func.php');

function translateDir($path) {
	$db=$GLOBALS['db'];
	$Capture=$GLOBALS['Capture'];
	$dir=dir($path);
	$dirlist=NULL;
	$filelist=$GLOBALS['filelist'];
	
	$GLOBALS['dirCount']++;

	if ($GLOBALS['dirCount']%3==0) {
		echo '<script language="JavaScript">document.getElementById(\'spnFile\').innerHTML="'.$GLOBALS['r_step1_enum'].' ('.$GLOBALS['dirCount'].")\";</script>\n";
		flush();
	}
	
	while (false !== ($entry = $dir->read())) {
		if (is_dir("$path/$entry") && $entry!='.' && $entry!='..') {
			$dirlist[]=$entry;
			//echo "$path/$entry added\n";
		} else if ($entry!='.' && $entry!='..') {
			$noadd=false;
			foreach ($GLOBALS['conf']['misc']['excludelist'] as $item)
				if (strpos($path,$item)!==false) $noadd=true;
			
			if ($noadd) continue;
			//echo '<script language="JavaScript">document.forms[0].txtFile.value="'.substr($path,strlen($GLOBALS['rootPath'])).'/'.$entry.'";</script>';
			//if (strpos($path,"i18n")!==false) echo "$path<br/>\n";
			if ($Capture->isRegistered($Capture->getExt($entry))) $GLOBALS['filelist'][]="$path/$entry";
		}
	}
	$dir->close();
	if (count($dirlist)>0)
		foreach($dirlist as $item)
			translateDir("$path/$item");

	//echo '<script language="JavaScript">document.forms[0].txtFile.value="'.substr($path,strlen($GLOBALS['rootPath'])).' ('.$GLOBALS["dirCounted"].'/'.$GLOBALS["dirCount"].')";</script>';

}

?>
