<?php
/* This is Miranda Translator 1.0 configuration file
   Warning: Settings in this file can be modified through the GUI setting page.
            So alter this file directly at your own risk!
   
   Please remember to copy (NOT RENAME) config-default.inc.php to config.inc.php
   on your first use!
*/

// Error Reporting
//error_reporting(E_ALL^E_NOTICE);

// Database Driver
$conf=array(
	'core'=>array(
		'langpack'=>'en',	// Langpack to use
		'charset'=>'ISO-8859-1',	// Browser Charset (Remember to set correctly!)
	),
	'db'=>array(
		'driver'=>'mysql',	// Database driver (mysql or sqlite)
		'server'=>'localhost',	// Database server address (MySQL only)
		'user'=>'root',	// Database username (MySQL only)
		'password'=>'',	// Database password (MySQL only)
		'database'=>'Translator',	// Database to use (For sqlite, this is the filename)
		
		// For database charset, if you're upgrading from 0.8x or older, leave the
		// value below, otherwise charset mismatch may occur
		'charset'=>'big5',	// Database charset (MySQL only)
	),
	'def'=>array(
		'source'=>'G:/mimsrc',	// Default capture source
		'import'=>'newwords.txt',	// Default import source
	),
	'out'=>array(
		'language'=>'Language (Sub Language)',	// Header: language
		'locale'=>'0404',	// Header: locale (LCID)
		'using'=>'0.4',	// Header: Last-modified
		'authors'=>'Your Name',	// Header: author
		'email'=>'you@mail.com',	// Header: e-mail
		'plugindelimiter'=>'; => ',	// MT will seek your manual translation file for sections
		'3rdindicator'=>'/~3rdparty/',	// Files below this line are 3rd party files
		'3rdtext'=>"** Contents below this line are third-party plugins **",	// This line will be added before first line of 3rd party files
		'mantext'=>"** Contents below this line are manual-translated plugins **",	// This line will be addes before first line of manual files
		'toc_main'=>"Main program and bundled plugins",	// For TOC, this will be added before the index
		'toc_3rd'=>"Third-party Plugins",	// For TOC, this will be added before 3rd party index
		'toc_manual'=>"Manual-translated Plugins",	// For TOC, this will be added before manual index
		'prefix'=>'header.txt',	// File to append before the content begins
		'suffix'=>'extracontent.txt',	// Manual translation and any content to be added after content
		'dots'=>20,	// Maximum number of dots for each index item
		'timezone'=>"Your Timezone",	// Your local timezone, for showing only!
		//'output'=>'test.txt',
		'output'=>'C:/Miranda-IM/langpack_chineset.txt',	// Output file
		'useplugindesc'=>false,	// Use plugin description function (see plugins.inc.php)
	),
	'readme'=>array(
		// To use readme index generation, uncomment the line below and make changes as required
		//'readme-src.txt'=>'c:/Miranda-IM/lpcht_readme.txt',	// List of files for adding TOC
	),
	'excludelist'=>array(
		'/i18n',
		//'/src/modules/srfile',
	),
);
?>
