<?php
$configitems=array(
          	"core"=>array("name"=>"Core Settings","settings"=>array(
          		"langpack"=>array("name"=>"Language Pack","desc"=>"Choose the language pack to use","valuetype"=>"string","default"=>""),
          		"charset"=>array("name"=>"Output character set","desc"=>"Character set for page output","valuetype"=>"string","default"=>"ISO8859-1"),
          	)),
          	"db"=>array("name"=>"Database Settings","settings"=>array(
          		"driver"=>array("name"=>"Driver","desc"=>"Choose the database type to use","valuetype"=>"list","values"=>array("mysql"=>"MySQL","sqlite"=>"SQLite"),"default"=>"0"),
          		"server"=>array("name"=>"Server Address","desc"=>"MySQL server address (Ignore for SQLite)","valuetype"=>"string","default"=>"localhost"),
          		"user"=>array("name"=>"User Name","desc"=>"MySQL Connection User Name (Ignore for SQLite)","valuetype"=>"string","default"=>"root"),
          		"password"=>array("name"=>"Password","desc"=>"MySQL Connection Password (Ignore for SQLite)","valuetype"=>"string","defult"=>""),
          		"database"=>array("name"=>"Database","desc"=>"Database Name (MySQL)/File Name (SQLite)","valuetype"=>"string","default"=>"Translator"),
          		"charset"=>array("name"=>"Database Charset","desc"=>"Database Character Set (Ignore for SQLite)","valuetype"=>"string","default"=>"ISO-8859-1"),
          	)),
          	"def"=>array("name"=>"Defaults","settings"=>array(
          		"source"=>array("name"=>"Source Directory","desc"=>"Default source directory for phrase capture","valuetype"=>"string","default"=>"source"),
          		"import"=>array("name"=>"Import File","desc"=>"Default file to import phrases from","valuetype"=>"string","default"=>"newwords.txt"),
          		"disabletxtcapture"=>array("name"=>"Disable TXT Capture","desc"=>"Don't capture from txt files","valuetype"=>"binary","values"=>array(1=>"True",0=>"False"),"default"=>"0"),
          		"txtcaptureext"=>array("name"=>"TXT Capture Extension","desc"=>"Capture this extension for txt files (Blank for txt)","valuetype"=>"string","default"=>"txt"),
          	)),
          	"out"=>array("name"=>"Output Settings","settings"=>array(
          		"language"=>array("name"=>"Language","desc"=>"Full language name of your country","valuetype"=>"string","default"=>""),
          		"locale"=>array("name"=>"Locale(LCID)","desc"=>"Locale ID as specified by Microsoft","valuetype"=>"string","default"=>"0411"),
          		"using"=>array("name"=>"Using Version","desc"=>"Miranda version used for langpack generation","valuetype"=>"string","default"=>"0.4.3"),
          		"authors"=>array("name"=>"Authors","desc"=>"List of current and past langpack maintainers","valuetype"=>"string","default"=>""),
          		"email"=>array("name"=>"E-mail Address","desc"=>"Your e-mail address","valuetype"=>"string","default"=>""),
          		"plugindelimiter"=>array("name"=>"Plugin Delimiter","desc"=>"When scanning manual translation file, this signature at start of lines denotes a new plugin","valuetype"=>"string","default"=>"; =>"),
          		"3rdindicator"=>array("name"=>"3rd Party Indicator","desc"=>"When scanning directories, MT will treat the path as 3rd Party Plugin","valuetype"=>"string","default"=>"/~3rdparty/"),
          		"3rdtext"=>array("name"=>"3rd Party Description","desc"=>"This line will be added to langpack before 3rd party plugin begins","valuetype"=>"string","default"=>"** Lines starting from here are 3rd party plugins **"),
          		"mantext"=>array("name"=>"Manual Description","desc"=>"This line will be added to langpack before manually translated plugin begins","valuetype"=>"string","default"=>"** Lines starting from here are manually translated plugins **"),
          		"toc_main"=>array("name"=>"(TOC) Bundled Plugins Title","desc"=>"This line will be added to TOC(Table Of Contents) before listing bundled plugins","valuetype"=>"string","default"=>"Main and Bundled Plugins"),
          		"toc_3rd"=>array("name"=>"(TOC) 3rd Party Plugins Title","desc"=>"This line will be added to TOC(Table Of Contents) before listing 3rd party plugins","valuetype"=>"string","default"=>"3rd Party Plugins"),
          		"toc_manual"=>array("name"=>"(TOC) Manual Plugins Title","desc"=>"This line will be added to TOC(Table Of Contents) before listing manually translated plugins","valuetype"=>"string","default"=>"Manually Translated Plugins"),
          		"prefix"=>array("name"=>"Prefix File","desc"=>"Content of this file will be added before translation content","valuetype"=>"string","default"=>"header.txt"),
          		"suffix"=>array("name"=>"Suffix File","desc"=>"Content of this file will be added after translation content (Manual Translation File)","valuetype"=>"string","default"=>"extracontent.txt"),
							"dots"=>array("name"=>"Dots in TOC","desc"=>"Number of dots to be displayed in TOC entries","valuetype"=>"string","default"=>"20"),
							"timezone"=>array("name"=>"Timezone Text","desc"=>"Your local timezone text, no real use","valuetype"=>"string","default"=>"N/A"),
							"output"=>array("name"=>"Output File","desc"=>"Output langpack file","valuetype"=>"string","default"=>"langpack_xxx.txt"),
							"useplugindesc"=>array("name"=>"Use Plugin Info","desc"=>"Use Plugin Description facilities (Refer to plugins.inc.php)","valuetype"=>"binary","values"=>array(1=>"True",0=>"False"),"default"=>"1"),
							"flid"=>array("name"=>"Updater FLID","desc"=>"Provide support for Updater Plugin. Fill in the Langpack name as shown in FL with version. You can let MT fills date and time here by using PHP date() format string","valuetype"=>"string","default"=>""),
          	)),
          	"misc"=>array("name"=>"Miscellaneous Settings","settings"=>array(
          		"readme"=>array("name"=>"Readme Files","desc"=>"List of readme files to generate, one pair of files each line, src=dst","valuetype"=>"assocarray","default"=>"readme_src.txt=>readme.txt"),
          		"excludelist"=>array("name"=>"Exclude Directories","desc"=>"List of directory part to exclude from capture, one directory part each line","valuetype"=>"array","default"=>"/i18n"),
          	)),
            );
?>