<?php
include ('common.inc.php');
//$GLOBALS['_mysql_showquery']=1;

?>
<html>
<head>
	<title><?=$r['title']?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?=$conf['core']['charset']?>"/>
</head>
<body>
	<h2><?=$r['title']?></h2>
<?php

if (isset($_POST['action'])) {
	if (isset($_POST['term'])) $_POST['term']=FixNL(FixPostString($_POST['term']));
	 
	switch ($_POST['action']) {
		case 'search':
			if ($_POST['table']=='ignoredphrases')
				searchDelete();
			else
				search();
			break;
		case 'update':
			update();
			break;
		case 'delete':
			delete();
			break;
		case 'searchreplace':
			searchReplace();
			break;
		case 'replace':
			replace();
			break;
		case 'findpast':
			findPast();
			break;
	}
} else {
?>
	<fieldset>
		<legend><?=$r['searchtitle']?></legend>
		<form method="POST">
			<input type="hidden" name="action" value="search"/>
			<input type="hidden" name="quotetest" value="'">
			<table border="0">
				<tr><td><?=$r['db']?></td><td>
					<select name="table">
						<option selected="1" value="phrases"><?=$r['dictitem']?></option>
						<option value="ignoredphrases"><?=$r['ignitem']?></option>
						<!--<option value="temp_phrasesheet">Current List of Items</option>-->
					</select>
				</td></tr>
				<tr><td><?=$r['searchterm']?></td><td>
					<input type="text" name="term"/> 
					<input type="radio" checked="1" id="searchsrc" name="searchtarget" value="1">
						<label for="searchsrc"><?=$r['searchsrc']?></label>
					<input type="radio" id="searchtrans" name="searchtarget" value="2">
						<label for="searchtrans"><?=$r['searchtrans']?></label>
				</td></tr>
			</table>
<?=$r['termformat']?>
			<p>
				<input type="submit" value="<?=$r['startsearch']?>"/>
			</p>
		</form>
	</fieldset>
	<fieldset>
		<legend><?=$r['iptitle']?></legend>
		<form method="POST" enctype="multipart/form-data" action="ipimex.php">
			<input type="hidden" name="action" value="i"/>
			<?=$r['file']?> <!--<input type="file" name="file"/>--><input type="text" name="file" value="export.txt"/> <input type="submit" value="<?=$r['import']?>" onclick="ip('i')"/><br/>
			<input type="button" value="<?=$r['export']?>" onclick="ip('e')"/>
			<input type="button" value="<?=$r['clear']?>" onclick="ip('c')"/><br />
			<script language="JavaScript">
			function ip($c) {
				document.forms[1].elements['action'].value=$c;
				document.forms[1].submit();
			}
			</script>
		</form>
	</fieldset>
	<fieldset>
		<legend><?=$r['replacetitle']?></legend>
		<?=$r['replacedesc']?>
		<form method="POST">
			<input type="hidden" name="action" value="searchreplace"/>
			<input type="hidden" name="quotetest" value="'">
			<table border="0">
				<tr><td><?=$r['lookfor']?></td><td><input type="text" name="term"/></td></tr>
				<tr><td><?=$r['replacewith']?></td><td><input type="text" name="replace"/></td></tr>
			</table>
			<input type="submit" value="<?=$r['startsearch']?>"/>
		</form>
	</fieldset>
	<fieldset>
		<legend><?=$r['findpasttitle']?></legend>
		<form method="POST">
			<input type="hidden" name="action" value="findpast"/>
			<input type="hidden" name="quotetest" value="'">
			<input type="submit" value="<?=$r['startsearch']?>"/>
		</form>
	</fieldset>
	<p>
		<input type="button" value="<?=$r['backmain']?>" onclick="location.replace('./')"/>
	</p>
<?
}

function search() {
	global $db, $r;
	if ($_POST['table']=='temp_phrasesheet') {
		$key="key";
		$key1=$key;
		$_POST['term']="[{$_POST['term']}]";
	} else
		if ($_POST['searchtarget']=='1') {
			$key="phrase";
			$key1=$key;
			$_POST['term']="[{$_POST['term']}]";
		} else {
			$key1="phrase";
			$key="value";
		}
?>
	<?=sprintf($r['searchresult'],htmlspecialchars($_POST['term']))?>
	<form method="POST">
<?
	$result=$db->select('*',$_POST['table'],array($key=>$_POST['term']),NULL,NULL,NULL,true);
	$c=0;
	
	if ($result)
		foreach ($result as $record) {
			$k=htmlspecialchars($record[$key1]);
			$k=substr($k,1,strlen($k)-2);
?>
		<fieldset>
			<legend><?=$r['uniqueid']?> <?=$record['seq']?></legend>
			<input type="hidden" name="item<?=$c?>_seq" value="<?=$record['seq']?>"/>
			<table border="0" width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td><input type="checkbox" name="item<?=$c?>_del" value="0"/></td>
					<th style="text-align: left" nowrap="1"><?=$r['english']?></th>
					<td width="100%"><?=$k?></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<th style="text-align: left" nowrap="1"><?=$r['translated']?></th>
					<td nowrap><input type="text" name="item<?=$c?>_value" value="<?=htmlspecialchars($record['value'])?>" size="50" style="width: 90%"/></td>
				</tr>
			</table>
		</fieldset>
<?
			$c++;
		}
?>
		<?=sprintf($r['resultsfound'],$c)?><br/>
		<input type="hidden" name="itemcount" value="<?=$c?>"/>
		<input type="hidden" name="term" value="<?=htmlspecialchars(substr($_POST['term'],1,strlen($_POST['term'])-2))?>"/>
		<input type="hidden" name="action" value="update"/>
		<input type="hidden" name="table" value="<?=$_POST['table']?>"/>
		<input type="hidden" name="quotetest" value="'"/>
		<input type="hidden" name="searchtarget" value="<?=$_POST['searchtarget']?>"/>
		<input type="submit" value="<?=$r['update']?>"/> |
		<input type="button" value="<?=$r['selectall']?>" onclick="s(true)"/>
		<input type="button" value="<?=$r['selectnone']?>" onclick="s(false)"/>
		<input type="button" value="<?=$r['delete']?>" onclick="document.forms[0].elements['action'].value='delete'; document.forms[0].submit();"/> |
		<input type="button" value="<?=$r['back']?>" onclick="location.replace('dictmgr.php')"/>
	</form>
	<script language="JavaScript">
		function s(v) {
			for (c=0;c<document.forms[0].elements['itemcount'].value;c++)
				document.forms[0].elements['item'+c+'_del'].checked=v;
		}
	</script>		
<?
}

function searchDelete() {
	global $db, $r;
	if ($_POST['table']=='temp_phrasesheet')
		$key="key";
	else
		$key="phrase";
?>
	<?=sprintf($r['searchresult'],htmlspecialchars($_POST['term']))?>
	<form method="POST">
		<input type="hidden" name="quotetest" value="'">
<?
	$result=$db->select('*',$_POST['table'],array($key=>"[{$_POST['term']}]"),NULL,NULL,NULL,true);
	$c=0;
	
	if ($result)
		foreach ($result as $record) {
			$k=htmlspecialchars($record[$key]);
			$k=substr($k,1,strlen($k)-2);
?>
		<!--<fieldset>
			<legend>Unique ID: <?=$record['seq']?></legend>-->
			<input type="hidden" name="item<?=$c?>_seq" value="<?=$record['seq']?>"/>
			<input type="checkbox" name="item<?=$c?>_del"/> <?=$k?>
		<!--</fieldset>--><br/>
<?
			$c++;
		}
?>
		<?=sprintf($r['resultsfound'],$c)?><br/>
		<input type="hidden" name="itemcount" value="<?=$c?>"/>
		<input type="hidden" name="term" value="<?=htmlspecialchars($_POST['term'])?>"/>
		<input type="hidden" name="action" value="delete"/>
		<input type="hidden" name="table" value="<?=$_POST['table']?>"/>
		<input type="submit" value="<?=$r['delete']?>"/>
		<input type="button" value="<?=$r['back']?>" onclick="location.replace('dictmgr.php')"/>
		<input type="button" value="<?=$r['selectall']?>" onclick="s(true)"/>
		<input type="button" value="<?=$r['selectnone']?>" onclick="s(false)"/>
	</form>
	<script language="JavaScript">
		function s(v) {
			for (c=0;c<document.forms[0].elements['itemcount'].value;c++)
				document.forms[0].elements['item'+c+'_del'].checked=v;
		}
	</script>
<?
}

function update() {
	global $db,$r;
?>
	<?=$r['updating']?><br/>
	<span id="divText"></span><br/>
<?
	for ($c=0;$c<$_POST['itemcount'];$c++) {
		echo '<script language="JavaScript">document.getElementById("divText").innerHTML="'.sprintf($r['updateprogress'],$_POST["item{$c}_seq"])."\";</script>\n";
		flush();
		//echo "{$_POST["item{$c}_value"]}";
		$_POST["item{$c}_value"]=FixPostString($_POST["item{$c}_value"]); 
		$db->update(array('value'=>$_POST["item{$c}_value"]),$_POST['table'],array('seq'=>$_POST["item{$c}_seq"])) or die($r['failed']);
		//echo "{$r['done']}<br/>";
	}
	search();
}

function delete() {
	global $db,$r;
?>
	<?=$r['deleting']?><br/>
	<span id="divText"></span><br/>
<?
	for ($c=0;$c<$_POST['itemcount'];$c++) {
		if (isset($_POST["item{$c}_del"])) {
			echo '<script language="JavaScript">document.getElementById("divText").innerHTML="'.sprintf($r['deleteprogress'],$_POST["item{$c}_seq"])."\";</script>\n";
			flush();
			$db->delete($_POST['table'],array('seq'=>$_POST["item{$c}_seq"])) or die($r['failed']);
			//echo "{$r['done']}<br/>";
		}
	}
	if ($_POST['table']=="ignoredphrases")
		searchDelete();
	else if (isset($_POST['term']))
		search();
	else
		findPast();
	
}

function searchReplace() {
	global $db, $r;
?>
	<?=sprintf($r['searchresult'],htmlspecialchars($_POST['term']))?>
	<form method="POST">
<?
	$result=$db->select('*','phrases',array('value'=>"%{$_POST['term']}%"),NULL,NULL,NULL,true);
	$c=0;
	
	if ($result)
		foreach ($result as $record) {
			$k=htmlspecialchars($record['value']);
			$k2=htmlspecialchars($record['phrase']);
			$k2=substr($k2,1,strlen($k2)-2);
?>
		<fieldset>
			<legend>Unique ID: <?=$record['seq']?></legend>
			<!--<input type="hidden" name="item<?=$c?>_seq" value="<?=$record['seq']?>"/>-->
			<table border="0">
				<tr>
					<td><input type="checkbox" name="item<?=$record['seq']?>_del" checked="1"/></td>
					<td><?=$k2?></td>
				</tr>
				<tr>
					<td><?=$r['original']?></td>
					<td><?=$k?></td>
				</tr>
				<tr>
					<td><?=$r['replaced']?></td>
					<td><?=str_replace($_POST['term'],$_POST['replace'],$k)?></td>
				</tr>
			</table>
		</fieldset><br/>
<?
			$c++;
		}
?>
		<?=sprintf($r['resultsfound'],$c)?><br/>
		<input type="hidden" name="quotetest" value="'">
		<input type="hidden" name="itemcount" value="<?=$c?>"/>
		<input type="hidden" name="replace" value="<?=htmlspecialchars($_POST['replace'])?>"/>
		<input type="hidden" name="term" value="<?=$_POST['term']?>"/>
		<input type="hidden" name="action" value="replace"/>
		<input type="submit" value="<?=$r['replace']?>"/>
		<input type="button" value="<?=$r['back']?>" onclick="location.replace('dictmgr.php')"/>
		<input type="button" value="<?=$r['selectall']?>" onclick="s(true)"/>
		<input type="button" value="<?=$r['selectnone']?>" onclick="s(false)"/>
	</form>
	<script language="JavaScript">
		function s(v) {
			/*for (c=0;c<document.forms[0].elements['itemcount'].value;c++)
				document.forms[0].elements['item'+c+'_del'].checked=v;*/
			for (c=0;c<document.forms[0].elements.length;c++)
				if (document.forms[0].elements[c].name && document.forms[0].elements[c].name.indexOf("_del")>-1)
					document.forms[0].elements[c].checked=v;
		}
	</script>
<?
}

function replace() {
	global $db,$r;
?>
	<?=$r['replacing']?><br/>
	<span id="divText"></span><br/>
<?
	$result=$db->select('*','phrases',array('value'=>"%{$_POST['term']}%"),NULL,NULL,NULL,true);
	$c=0;
	
	if ($result)
		foreach ($result as $record) {
			//echo "item{$record['seq']}_del<br/>";
			if (isset($_POST["item{$record['seq']}_del"])) {
				echo '<script language="JavaScript">document.getElementById("divText").innerHTML="'.sprintf($r['replaceprogress'],$record['seq'])."\";</script>\n";
				flush();
				//echo sprintf($r['replaceprogress'],$record['seq']);
				if ($db->update(array('value'=>str_replace($_POST['term'],$_POST['replace'],$record['value'])),'phrases',array('seq'=>$record['seq']))>0);
					//echo "{$r['done']}<br/>\n";
				//else
				//	echo "{$r['failed']}<br/>\n";
			}
		}
	searchReplace();
}

function findPast() {
	global $db, $r;

?>
	<span id="divText"></span><br/>
<?
	flush();
?>

	<form method="POST">
		<input type="hidden" name="quotetest" value="'">
			<script language="JavaScript">document.getElementById("divText").innerHTML="Getting list of all phrases...";</script>

<?	
	flush();
	
	$phrases=$db->select('*','phrases');
	$c=0;
	echo "<script language=\"JavaScript\">document.getElementById('divText').innerHTML='".sprintf("Searching for unsued phrases...",$c)."';</script>\n";
	flush();
	
	foreach ($phrases as $phrase) {
		$rs=$db->select('*','temp_phrasesheet',array('key'=>$phrase['phrase']));
		if (count($rs)==0) {
			$k=htmlspecialchars($phrase['phrase']);
			$k=substr($k,1,strlen($k)-2);
?>
		<input type="hidden" name="item<?=$c?>_seq" value="<?=$phrase['seq']?>"/>
		<input type="checkbox" name="item<?=$c?>_del"/> <?=$k?><br/>
<?
			$c++;
			echo "<script language=\"JavaScript\">document.getElementById('divText').innerHTML='".sprintf("Found unsued phrases: %d",$c)."';</script>\n";
			flush();
		}
	}
	echo "<script language=\"JavaScript\">document.getElementById('divText').innerHTML='".sprintf("Found unsued phrases: %d",$c)."';</script>\n";
	
?>
		<?=sprintf($r['resultsfound'],$c)?><br/>
		<input type="hidden" name="itemcount" value="<?=$c?>"/>
		<input type="hidden" name="action" value="delete"/>
		<input type="hidden" name="table" value="phrases"/>
		<input type="submit" value="<?=$r['delete']?>"/>
		<input type="button" value="<?=$r['back']?>" onclick="location.replace('dictmgr.php')"/>
		<input type="button" value="<?=$r['selectall']?>" onclick="s(true)"/>
		<input type="button" value="<?=$r['selectnone']?>" onclick="s(false)"/>
	</form>
	<script language="JavaScript">
		function s(v) {
			for (c=0;c<document.forms[0].elements['itemcount'].value;c++)
				document.forms[0].elements['item'+c+'_del'].checked=v;
		}
	</script>
<?
}

function FixNL($str) {
	return str_replace("\\n","\\\\n",str_replace("\\r","\\\\r",str_replace("\\t","\\\\t",$str)));
}
?>
</body>
</html>
