<?

class DelphiEngine {
	function DelphiEngine() {
		$this->reset();
	}
	
	function reset() {
		$this->loc=0;
		$this->supermode=0;
		$this->strTemp='';
		$this->infoFound=false;
	}
	
	function setList($whitelist,$blacklist,$superlist) {
		$this->whitelist=$whitelist;
		$this->blacklist=$blacklist;
		$this->superlist=$superlist;
	}
	
	function getNextString($fpIn,$relfile) {
		if (ftell($fpIn)==0) $this->reset();
		$isDFM=(substr($relfile,-4)=='.dfm');
		
		if (feof($fpIn)) {
			return false;
		} else {
			if ($isDFM)
				return $this->getNextStringDFM($fpIn,$relfile);
			else
				return $this->getNextStringDPR($fpIn,$relfile);
		}
	}
	
	function getNextStringDFM($fpIn,$relfile) {
		$captured='';
		while (!feof($fpIn) || $this->loc>-1) {
			if ($this->loc==-1)	$this->strTemp=fgets($fpIn,4096);//str_replace('""','^',fgets($fpIn,4096));
			$this->strTemp=str_replace("'#39'","^",$this->strTemp);
			$this->strTemp=str_replace("'#13'","\\n",$this->strTemp);
			$this->strTemp=str_replace("'#13#10'","\\n\\r",$this->strTemp);
			
			if (/*strpos($this->strTemp,'object')!==false*/substr($this->strTemp,0,7)=='object ') {
				// New Dialog
				return "; ".$relfile.':'.substr($this->strTemp,strpos($this->strTemp,'object')+6);
			}
			if ($this->loc==-1) $this->loc=0;
			if (strpos($this->strTemp,"'",$this->loc)!==false && strpos($this->strTemp,"Font.Name")===false && !_capture_matchList($this->strTemp,$this->blacklist)) {
				// String found
				$this->loc=strpos($this->strTemp,"'",$this->loc)+1;
				//$captured='';
				if (strpos($this->strTemp,"'",$this->loc)!==false) {
					$loc2=strpos($this->strTemp,"'",$this->loc);
					/* Changed here */
					$captured.=str_replace('^',"'",rtrim(substr($this->strTemp,$this->loc,$loc2-$this->loc),"\n\r"));
					$this->loc=$loc2+1;
				}
				if (substr(trim($this->strTemp),-1)=='+')
					continue;
				else if ($captured)
					return "[$captured]";
				
				$this->loc=-1;
			} else
				$this->loc=-1;
		}
		return false;
	}

	function getNextStringDPR($fpIn,$relfile) {
		while (!feof($fpIn)) {
			if ($this->loc==-1) {
				$this->strTemp=str_replace("'#39'",'^',fgets($fpIn,4096));
				$this->strTemp=str_replace("''",'^',$this->strTemp);
				
				$this->loc=0;
			}
			
			if (!$this->supermode && _capture_matchList($this->strTemp,$this->superlist)) {
				$this->supermode=true;
			} 
			if (strpos($this->strTemp,"'",$this->loc)!==false && (_capture_matchList($this->strTemp,$this->whitelist)||$this->supermode||strpos($this->strTemp,"PluginInfo.")!==false)) {
				// String found
				$this->loc=strpos($this->strTemp,"'",$this->loc)+1;
				$captured='~!~';
				if (strpos($this->strTemp,"'",$this->loc)!==false) {
					$loc2=strpos($this->strTemp,"'",$this->loc);
					$captured=str_replace('^',"'",ltrim(rtrim(substr($this->strTemp,$this->loc,$loc2-$this->loc),"\n\r")));
					$this->loc=$loc2+1;
				}
				if ($captured!='~!~') return "[$captured]";
				$this->loc=-1;
			} else
				$this->loc=-1;
			if ($this->supermode && strpos($this->strTemp,");")!==false) {
				$this->supermode=false;
			}
		}
		return false;
	}
}
$this->_DelphiEngine=new DelphiEngine();

$this->_registerEngine('dpr','_DelphiEngine');
$this->_registerEngine('dfm','_DelphiEngine');
$this->_registerEngine('pas','_DelphiEngine');
?>
