<?php
class Generate {
	function Generate($db) {
		$this->db=$db;
		$this->ignored=0;	// May not available because now inaccurate
		$this->translated=0;
		$this->imported=0;
		$this->importwrote=0;
		$this->fpOut=fopen('~gentemp.tmp','w+');
		require ('plugins.inc.php');
		if (is_file('autoplugin.inc.php') && $GLOBALS['conf']['out']['useplugindesc']) {
			include ('autoplugin.inc.php');
			//error_reporting(E_ALL^E_NOTICE);
		}
	}
	
	function dumpPhrases() {
		$conf=$GLOBALS['conf']['out'];
		
		$lines=0;
		$lastKey=''; $lastPlugin='\x1';
		$check3rd=false;
		
		$lastplugin="Impossible_Plugin_string";
		$rs=$this->db->select(array('key','value'),'temp_phrasesheet');
		if ($rs)
			foreach ($rs as $row) {
				if (substr($row['key'],0,1)!=';') {
					if ($lastKey!='') {
						if (substr($lastKey,0,3)=='; /')
							if (strpos($lastKey,"$lastPlugin")===false) {
								// New plugin
								$testKey=substr($lastKey,strpos($lastKey,'/'));
								while ($testKey!='') {
									if (isset($this->plugins["$testKey/"])) {
										$lastPlugin="$testKey/";
										//echo "testkey=$testKey<br>";
										if (!$check3rd && substr($lastPlugin,0,strlen($conf['3rdindicator']))==$conf['3rdindicator']) {
											$check3rd=true;
											fputs($this->fpOut,"\r\n; {$conf['3rdtext']}\r\n");
											$this->match3rd=trim($conf['plugindelimiter'].$this->plugins[$lastPlugin][2].":".$this->plugins[$lastPlugin][0]." ({$this->plugins[$lastPlugin][1]})");
										}
										fputs($this->fpOut,"\r\n".$conf['plugindelimiter'].$this->plugins[$lastPlugin][2].":".$this->plugins[$lastPlugin][0]." ({$this->plugins[$lastPlugin][1]})");
										$lines++;
										break;
									} else {
										$testKey=substr($testKey,0,strrpos($testKey,'/'));
									}
								}
								
								if ($testKey=='')
									if ($GLOBALS['conf']['out']['useplugindesc'])
										die(sprintf($GLOBALS['r_step5_missdesc'],$lastKey));
									else
										$lastPlugin='/';
							}
							
						fputs ($this->fpOut,"\r\n$lastKey\r\n");
						$lines++;
						$lastKey='';
					}
					
					if (!trim($row['value'])) {
						if (!$this->db->isIgnoredPhrase($row['key'])) {
							fputs($this->fpOut,"; ".$row['key']."\r\n");
							$lines++;
							//$GLOBALS['ignored']++;
							$this->ignored++;
						}
					} else {
						fputs($this->fpOut,$row['key']."\r\n".$row['value']."\r\n");
						$lines+=2;
						//$GLOBALS['translated']++;
						$this->translated++;
					}
				} else if (isset($row['key']) && substr($row['key'],0,1)==';' && $lastKey!='') {
					// Previous is also remarks
					$this->db->delete('temp_phrasesheet',array('key'=>$lastKey));
					$lastKey=$row['key'];
					$lines++;
				} else {
					$lastKey=$row['key'];
					$lines++;
				}
			}
			//mysql_free_result($result);
		return $lines;
	}
	
	function importPhrases($file) {
		$ina=file($file);
		$ignore=false;
		$lines=0;
		$this->matchExtra=NULL;
		if (count($ina)>0) fputs($this->fpOut,"\r\n; {$GLOBALS['conf']['out']['mantext']}\r\n\r\n");
		
		foreach ($ina as $in) {
			$lines++;
			if (!$this->matchExtra && substr($in,0,strlen($GLOBALS['conf']['out']['plugindelimiter']))==$GLOBALS['conf']['out']['plugindelimiter'])
				$this->matchExtra=trim($in);
			if (substr($in,0,1)=='[' && substr(trim($in),-1)==']') {
				if ($ignore==true) $ignore=false;
				if (count($this->db->select(array('value'),'temp_phrasesheet',array('key'=>trim($in))))>0) $ignore=true;
			}
			if (!$ignore) {
				if (substr($in,0,1)=='[')	$this->imported++;
				$this->importwrote++;
				fputs($this->fpOut,"$in");
			}
		}
		return $lines;
	}
	
	function calculatePositions() {
		fseek($this->fpOut,0);
		$curline=0;
		$this->lines=array();
		$this->pos=array();
		$this->pluginInfo='';
		$conf=$GLOBALS['conf']['out'];
		$delimLen=strlen($conf['plugindelimiter']);
		
		while (!feof($this->fpOut)) {
			$line=fgets($this->fpOut,4096);
			$curline++;
			$addinfo=true;

			if (substr($line,0,$delimLen)==$conf['plugindelimiter']) {
				foreach (array_keys($this->plugins) as $key) {
					if (substr($line,strlen($conf['plugindelimiter']),strlen($this->plugins[$key][2]))==$this->plugins[$key][2]) {
						$checked=true;
						if (isset($this->plugins[$key][3]) && $this->plugins[$key][3]==false) {
							$addinfo=false;
						} 
						break;
					}
				}
				if ($addinfo) {
					$p=substr($line,$delimLen,strpos($line,':')-$delimLen+1);
					if (strpos($this->pluginInfo,$p)===false) { 
						$this->pluginInfo.=$p;
						//echo "p=$p<br/>";
						$this->pluginDesc[]=substr($line,strlen($p)+$delimLen);
					}
				}

				$this->pos[]=$curline;
				$this->lines[]=$line;
			}
		}
		//echo "pluginInfo={$this->pluginInfo}";
		$this->pluginInfo=str_replace(':',',',$this->pluginInfo);
		$this->pluginInfo=substr($this->pluginInfo,0,strlen($this->pluginInfo)-1);
		return $this->lines;
	}
	
	function getVersionString() {
		$server=$_SERVER['SERVER_SOFTWARE'];
		if (substr($server,0,4)=='MBot') $server='MBot Server Build '.MBOT_VERSION;
		return "$server, ".$this->db->getVersionString();
	}
	
	function prepareOutput() {
		$conf=$GLOBALS['conf']['out'];
		//echo "flid=".$conf['flid'];
		if (isset($conf['flid']) && trim($conf['flid'])!='') {
			$flid="\r\n; FLID: ". substr($conf['flid'],0,strrpos($conf['flid'],' ')).date(substr($conf['flid'],strrpos($conf['flid'],' ')))."\r\n";
		} else
			$flid=NULL;
		
		$this->header=array(
			'Miranda Language Pack Version 1',
			"Language: {$conf['language']}",
			"Locale: {$conf['locale']}",
			"Last-Modified-Using: Miranda IM {$conf['using']}",
			"Authors: {$conf['authors']}",
			"Author-email: {$conf['email']}",
			"Plugins-included: {$this->pluginInfo}",
			NULL,
			"; This file is created by Miranda Translator {$GLOBALS['coreVersion']}",
			"; Visit http://starkwong.ivehost.net/Miranda/helper/ for more information.",
			$flid,
			"; Generated on ".date('M j Y H:i:s ').$conf['timezone'],
			"; Additional Info: {$this->getVersionString()}",
			NULL,
		);
		$expheader=file($conf['prefix']);
		$header=implode('',$expheader);
		
		$toc="; {$conf['toc_main']}\r\n";
		$c=0;
		$add=3; // toc_main, 2 empty lines
		//for ($c=0;$c<count($lines);$c++) {
		foreach ($this->lines as $line) {
			$plugin=substr($line,strlen($conf['plugindelimiter']));
			$plugin=substr($plugin,0,strpos($plugin,':'));
			if (isset($this->match3rd) && trim($line)==$this->match3rd) {
				$toc.="; {$conf['toc_3rd']}\r\n";
				//$add++;
			} else if (trim($line)==$this->matchExtra) {
				$toc.="; {$conf['toc_manual']}\r\n";
				//$add++;
			}
			
			$toc.=("; \t$plugin".$this->showDots($plugin).(count($this->header)+count($this->lines)+count($expheader)+$add+$this->pos[$c])."\r\n");
			$c++;
		}
	
		$header=str_replace('%toc%',$toc,$header);
		$this->header=array_merge($this->header,explode("\r\n",$header));
		/*echo "<pre>";
		print_r($this->header);
		echo "</pre>";*/
	}
	
	function writeOutput($file) {
		$fpOut2=fopen($file,"w");
		fseek($this->fpOut,0);
		fputs($fpOut2,implode("\r\n",$this->header));
		while (!feof($this->fpOut)) {
			$str=fgets($this->fpOut,4096);
			fputs($fpOut2,$str);
		}
		$size=ftell($fpOut2);
		fclose($fpOut2);
		return $size;
	}
	
	function showDots($plugin) {
		$output='';
		for ($c=0;$c<$GLOBALS['conf']['out']['dots']-strlen($plugin);$c++)
			$output.='.';
		return $output;
	}

	function writeReadme() {
		if (!$GLOBALS['conf']['out']['useplugindesc']) return;
		if (isset($GLOBALS['conf']['misc']['readme']) && is_array($GLOBALS['conf']['misc']['readme'])) {
			$r=$GLOBALS['conf']['misc']['readme'];
			foreach (array_keys($r) as $readme) {
				$fileCont=implode('',file($readme));
				$fileCont=str_replace('%content%',implode('',$this->pluginDesc),$fileCont);
				$fpOut=fopen($r[$readme],"w");
				fputs($fpOut,$fileCont);
				fclose($fpOut);
			}
		} 
	} 
	
	function close() {
		fclose($this->fpOut);
		//@unlink('~gentemp.tmp');
	}
	
	function PLUGIN_MAKE_VERSION($v1,$v2,$v3,$v4) {
		return "$v1.$v2.$v3.$v4";
	}
	
	function addInfo($path,$name,$desc,$ver) {
		if (substr($path,-5)=='/src/') {
			$path=substr($path,0,strlen($path)-4);
			$name=substr($path,0,strlen($path)-1);
			$name=substr($name,strrpos($name,'/')+1);
		}
		
		if (isset($this->plugins[$path])) {
			$p=$this->plugins[$path];
			if ($p[0]==NULL) {
				$phr=$this->db->findPhrase("[$desc]");
				if ($phr) $desc=$phr; 
				$this->plugins[$path][0]=$desc;
			}
			if ($p[1]==NULL) $this->plugins[$path][1]=$ver;
			if ($p[2]==NULL) $this->plugins[$path][2]=$name;
		} else { 
			$phr=$this->db->findPhrase("[$desc]");
			if ($phr) $desc=$phr; 
			$this->plugins[$path]=array($desc,$ver,$name,true);
		}
	}
}
?>
