<?php
/* Miranda Translator (Extra Plugin Information)
 * Copyright(C) 2004 Studio KUMA
 * 
 * This software is released under the terms and conditions of the GPL License V2.
 * For full license details, please refer to http://www.gnu.org/licenses/gpl.txt.
 *
 * Written by Stark Wong. Contact: starkwong@hotmail.com (E-mail and MSN)
 *
 * Revision Information
 * 2005/ 3/12	Removed MSN version info as the C engine can get version correctly
 */

// Uncomment the following line to completely disable plugin description
// NOTE: You must comment the following line to enable plugin description!
$this->plugins=array();

/* Starting from MT 1.0, MT will automatically obtain plugin name and version
 * from the source codes directly. Putting plugin description here is to:
 * 1. Add description to plugins that MT failed to get plugin name/version
 * 2. Overwrite default plugin name/version
 * 3. Set display default
 *
 * For each plugin description, the format is:
 * 'directory'=>array('name','version','id',showstatus),
 *
 * directory: Root directory of the plugin's source code
 * name: Name of plugin
 * version: Plugin version
 * id: Unique name to identify the plugin (This will be used for Plugins-included header)
 * showstatus: If "true", this plugin will be counted in Plugins-included header)
 *
 * To have any field using plugin default, set its value to NULL.
 *
 * Automatically description will be generated at capture time, and will be placed
 * in autoplugin.inc.php. Don't edit that file as it will be overwritten each time.
 *
 * NEW: If you encounter errors on autoplugin.inc.php when generating langpack, 
 *      follow these steps:
 *      1. Add plugin description here, and substituting any suspecting items
 *        (Most problems are caused by the Version, try replacing it first)
 *      2. Capture phrases from sources again to generate new autoplugin.inc.php
 *      3. Generate langpack to see if the problem still persist
 */
if (!isset($this->plugins)) {
	$this->plugins=array(
		// Testing (Alpha) build
		'/miranda/include/'=>array('Miranda IM header files','N/A','main-header',false),
		'/miranda/plugins/shlext/'=>array("Explorer File Sending Plugin","1.0.6.6","shlext",true),
		'/miranda/src/'=>array('Miranda Testing Build Main Program','0.4',"miranda",false),

		// Hide release build
		'/miranda.rel/Miranda-IM/'=>array("Miranda IM Release Build Main Program","0.3.3.1, Apr 19 2004 11:15:15 CEST",'rl.main',false),
		'/miranda.rel/Plugins/srmm/'=>array(NULL,NULL,"rl.srmm",false),
		'/miranda.rel/Protocols/AimTOC/'=>array(NULL,NULL,"rl.AimTOC",false),
		'/miranda.rel/Protocols/IcqOscar8/'=>array(NULL,NULL,"rl.IcqOscar8",false),
		'/miranda.rel/Protocols/MSN/'=>array(NULL,NULL,"rl.MSN",false),
		'/miranda.rel/Protocols/Yahoo/'=>array(NULL,NULL,"rl.Yahoo",false),

		// These plugins cannot retrieve description
		'/~3rdparty/HistoryPP/'=>array('History Viewer Plugin','1.4.0.0',"HistoryPP",true),
		'/~3rdparty/MSecure/'=>array('Miranda Profile Security Plugin','0.1.0.2',"mSecure",true),
		'/~3rdparty/StatusPlugins/'=>array('StartupStatus/KeepStatus/AdvancedAutoAway','N/A',"StatusPlugins",true),

		// Hide these plugins as already present in testing build
		'/~3rdparty/IrcSrc/'=>array(NULL,NULL,NULL,false),
		'/~3rdparty/ChatSrc/'=>array(NULL,NULL,NULL,false),
		'/~3rdparty/tabSRMMSrc/tab_srmm/'=>array(NULL,NULL,NULL,false),
	);
	
	// For NewEventNotify because it uses three constants
	define('VER_MAJOR',0); define('VER_MINOR',4); define('VER_BUILD',0);
}	
 
?>
